entities:
  # Web Technologies
  wordpress:
    synonyms: [wp, woo, woocommerce, wordpress cms]
    category: technologies
    description: "Content Management System"
  
  laravel:
    synonyms: [php laravel, laravel framework]
    category: technologies
    description: "PHP Framework"
  
  php:
    synonyms: [php language, php programming]
    category: technologies
    description: "Server-side Programming Language"
  
  javascript:
    synonyms: [js, javascript language, ecmascript]
    category: technologies
    description: "Client-side Programming Language"
  
  react:
    synonyms: [reactjs, react.js, react framework]
    category: technologies
    description: "JavaScript Library for UI"
  
  angular:
    synonyms: [angularjs, angular.js, angular framework]
    category: technologies
    description: "JavaScript Framework"
  
  vue:
    synonyms: [vuejs, vue.js, vue framework]
    category: technologies
    description: "JavaScript Framework"
  
  node:
    synonyms: [nodejs, node.js, node framework]
    category: technologies
    description: "JavaScript Runtime"
  
  python:
    synonyms: [py, python language, python programming]
    category: technologies
    description: "Programming Language"
  
  django:
    synonyms: [django framework, python django]
    category: technologies
    description: "Python Web Framework"
  
  flutter:
    synonyms: [flutter framework, flutter mobile]
    category: technologies
    description: "Mobile App Development Framework"
  
  react_native:
    synonyms: [react native, reactnative, react-native]
    category: technologies
    description: "Mobile App Development Framework"
  
  ai:
    synonyms: [artificial intelligence, machine learning, ml, deep learning, dl]
    category: technologies
    description: "Artificial Intelligence"
  
  shopify:
    synonyms: [shopify platform, shopify ecommerce]
    category: technologies
    description: "E-commerce Platform"
  
  magento:
    synonyms: [magento ecommerce, magento platform]
    category: technologies
    description: "E-commerce Platform"
  
  aws:
    synonyms: [amazon web services, aws cloud]
    category: technologies
    description: "Cloud Services"
  
  # Services
  web_development:
    synonyms: [website development, web dev, website creation]
    category: services
    description: "Web Development Services"
  
  mobile_development:
    synonyms: [app development, mobile app development, mobile dev]
    category: services
    description: "Mobile App Development Services"
  
  ecommerce:
    synonyms: [e-commerce, online store, online shop]
    category: services
    description: "E-commerce Development Services"
  
  ai_development:
    synonyms: [ai solutions, machine learning solutions, ml development]
    category: services
    description: "AI Development Services"
  
  ui_ux:
    synonyms: [user interface, user experience, design, ui/ux]
    category: services
    description: "UI/UX Design Services"

# Facets (aspects of the business that can be queried)
facets:
  technologies:
    synonyms: [tech stack, programming languages, frameworks, tools, platforms, cms, languages]
    description: "Technologies used by MangoIT"
  
  services:
    synonyms: [offerings, solutions, what they do, expertise]
    description: "Services offered by MangoIT"
  
  portfolio:
    synonyms: [projects, case studies, work, clients, examples]
    description: "Portfolio and past work"
  
  pricing:
    synonyms: [cost, rates, price, charges, fees]
    description: "Pricing information"
  
  company:
    synonyms: [about, team, organization, firm, business]
    description: "Company information"
  
  contact:
    synonyms: [reach out, get in touch, email, phone, address]
    description: "Contact information"

# Intent types
intents:
  lookup:
    description: "Looking up specific information"
  
  list:
    description: "Requesting a list of items"
  
  compare:
    description: "Comparing different options"
  
  how_to:
    description: "How to do something"
  
  troubleshoot:
    description: "Solving a problem"
  
  navigate:
    description: "Finding information on the website"
  
  pricing:
    description: "Inquiring about pricing"
  
  policy:
    description: "Asking about policies"
